function T = horzcat(varargin)

% T = horzcat(T1,T2,T3...)                  Ian Gravagne, 12/27/03
%
% Concatenates many timescales into one. Inputs must be timescale objects.
%

data = [];
type = [];

for j = 1:length(varargin)
    
    A = varargin{j};
    if(~isa(A,'timescale'))
        error('All inputs must be timescale objects.')
    end
    A.type(1,:) = A.type(1,:) + length(data);
    data = [data, A.data];
    type = [type, A.type];
    
end

T = timescale(data,type);