function S = size(T)

% S = SIZE(T)                       Ian Gravagne, 12/27/03
%
% Returns the size of the timescale object T. S is a (2 x m) array, where m specifies
% the number of (continuous and/or discrete) invtervals in the timescale. 
%
% The first row contains the cumulative lengths of the intervals, and the second row 
% indicates whether each interval is continuous or discrete. For example, 
%
% S = 2    5   10
%     0    1    1
%
% implies that interval 1 is of length 2, representing continuous data. Interval 2 is
% of length 5-2 = 3, representing discrete data. And interval 3 is of length 10-5 = 5, 
% also representing discrete data.
%
% Users may construct a size matrix and associated with a vector of data points using the
% timescale constructor.

S = T.type;
