function A = tsforward(T,n)

% A = TSFORWARD(T,N)
% 
% Returns the forward jump of timescale T in timescale object A. Optional integer input
% N causes TSFORWARD to return the nth forward jump.
%

% Ian Gravagne, 12/30/03 Baylor University

if(~isa(T,'timescale'))
    error('First argument must be a timescale object');
end

if(nargin < 2)
    n = 1;
end

for(i = 1:n)
    T = tsmu(T) + T;
end
A = T;